diff -urp dosbox-idados.orig/src/debug/server.cpp dosbox-idados/src/debug/server.cpp
--- dosbox-idados.orig/src/debug/server.cpp	2013-04-22 13:07:10 +0400
+++ dosbox-idados/src/debug/server.cpp	2013-04-23 21:47:08 +0400
@@ -5,7 +5,7 @@
 #include "server.h"
 #include "dosbox_debmod.h"
 
-#ifdef _MSC_VER
+#if defined (_MSC_VER) || defined (_WIN32)
 typedef int socklen_t;
 #endif
 
@@ -179,7 +179,7 @@ static int handle_single_session(rpc_ser
   int sid = s_sess_id++;
 
   char peername[MAXSTR];
-  if ( !irs_peername(server->irs, peername, sizeof(peername), false) )
+  if ( !irs_peername(server->irs, peername, sizeof(peername)) )
     qstrncpy(peername, "(unknown)", sizeof(peername));
   lprintf("=========================================================\n"
           "[%d] Accepting connection from %s...\n", sid, peername);
@@ -270,7 +270,7 @@ int handle_session(rpc_server_t *server)
 
   // Add the session to the list
   srv_lock_begin();
-  clients_list[server] = t;
+  clients_list[server] = (qthread_t) t;
   g_global_server = server;
   srv_lock_end();
 
diff -urp dosbox-idados.orig/src/debug/server.h dosbox-idados/src/debug/server.h
--- dosbox-idados.orig/src/debug/server.h	2013-04-22 13:07:10 +0400
+++ dosbox-idados/src/debug/server.h	2013-04-23 21:36:43 +0400
@@ -39,4 +39,5 @@
 #error "Mixed mode servers do not make sense, they should not be compiled"
 #endif
 
+typedef std::map<rpc_server_t *, qthread_t> rpc_server_list_t;
 extern rpc_server_list_t clients_list;
